Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.resources.selectors
Class Name

    java.lang.Object
      org.apache.tools.ant.types.resources.selectors.Name

All Implemented Interfaces:
  ResourceSelector

    public class Name

extends java.lang.Object
implements ResourceSelector

Name ResourceSelector.

Since:
  Ant 1.7

Constructor Summary
`Name()`

Method Summary
`java.lang.String` | `getName()` Get the pattern used by this Name ResourceSelector.
`boolean` | `isCaseSensitive()` Learn whether this Name ResourceSelector is case-sensitive.
`boolean` | `isSelected(Resource r)` Return true if this Resource is selected.
`void` | `setCaseSensitive(boolean b)` Set whether the name comparisons are case-sensitive.
`void` | `setName(java.lang.String n)` Set the pattern to compare names against.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Name

    public Name()

Method Detail

### setName

    public void setName(java.lang.String n)

  Set the pattern to compare names against.

  Parameters:
    `n` - the pattern String to set.

### getName

    public java.lang.String getName()

  Get the pattern used by this Name ResourceSelector.

  Returns:
    the String selection pattern.

### setCaseSensitive

    public void setCaseSensitive(boolean b)

  Set whether the name comparisons are case-sensitive.

  Parameters:
    `b` - boolean case-sensitivity flag.

### isCaseSensitive

    public boolean isCaseSensitive()

  Learn whether this Name ResourceSelector is case-sensitive.

  Returns:
    boolean case-sensitivity flag.

### isSelected

    public boolean isSelected(Resource r)

  Return true if this Resource is selected.

  Specified by:
    `isSelected` in interface `ResourceSelector`
  Parameters:
    `r` - the Resource to check.
  Returns:
    whether the Resource was selected.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD